ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Abschlepp-Plattform"
ENT.Category = "Mapobjekte"
ENT.Spawnable = true
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.SellTime = 90
ENT.SellPrice = 20000
ENT.StealJobs = {}

MG_CarStealJobs = {}

timer.Simple(0, function()
	MG_CarStealJobs = {
		[TEAM_THIEF] = true,
		[TEAM_MASTERTHIEF] = true,
		[TEAM_GANGSTER] = true,
		[TEAM_GANGSTERBOSS] = true,
		[TEAM_MAFIOSO] = true,
		[TEAM_MAFIABOSS] = true,
		[TEAM_REBEL] = true,
		[TEAM_REBELBOSS] = true
	}
end)

function ENT:SetupDataTables()
	self:NetworkVar("Float", 0, "Selling")
end

function ENT:PhysgunPickup(ply)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end